#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Mechanize
Summary:	WWW::Mechanize - automate interaction with websites
Summary(pl.UTF-8):	WWW::Mechanize - automatyzacja interakcji ze stronami WWW
Name:		perl-WWW-Mechanize
Version:	1.73
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WWW/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	de0a9c528c12793c881151301bc14d1a
URL:		http://search.cpan.org/dist/WWW-Mechanize/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More) >= 0.34
BuildRequires:	perl-Encode
BuildRequires:	perl-HTML-Form
BuildRequires:	perl-HTML-Parser >= 3.33
BuildRequires:	perl-HTTP-Response-Encoding
BuildRequires:	perl-HTTP-Server-Simple
BuildRequires:	perl-Sub-Uplevel >= 0.13
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Memory-Cycle
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.04
BuildRequires:	perl-Test-Taint
BuildRequires:	perl-Test-Warn >= 0.11
BuildRequires:	perl-URI
BuildRequires:	perl-libwww >= 5.76
%endif
Requires:	perl-Encode
Requires:	perl-libwww >= 5.76
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Mechanize, or Mech for short, was designed to help you automate
interaction with a website. It supports performing a sequence of page
fetches including following links and submitting forms. Each fetched
page is parsed and its links and forms are extracted. A link or a form
can be selected, form fields can be filled and the next page can be
fetched. Mech also stores a history of the URLs you've visited, which
can be queried and revisited.

%description -l pl.UTF-8
Moduł Perla WWW::Mechanize, w skrócie Mech, został zaprojektowany, aby
ułatwić automatyzację interakcji ze stronami WWW. Wspiera on
wykonywanie szeregu kolejnych pobrań stron, włączając w to podążanie
za odnośnikami i odsyłanie formularzy. Każda z pobranych stron jest
przetwarzana i wydzielane są z niej odnośniki i formularze. Można
wybrać odnośnik lub formularz, wypełnić pola formularza i pobrać
następną stronę. Mech przechowuje również historię odwiedzanych URL-i,
o które można odpytać i je ponownie odwiedzić.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo 'y' | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/WWW/Mechanize/{FAQ,Cookbook,Examples}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%dir %{perl_vendorlib}/%{pdir}/%{pnam}
%{perl_vendorlib}/%{pdir}/%{pnam}/*.pm
%{_mandir}/man?/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-WWW-Mechanize.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ec9c442
- up to 1.73

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> c762561
- up to 1.72

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 237c834
- up to 1.71

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1acb1f3
- rel 2; BR perl-HTML-Form

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e8b29c1
- up to 1.70

* Fri Jul 01 2011 marti <marti@pld-linux.org> 9dfe1b1
- up to 1.68

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> af589fb
- up to 1.60

* Sat May 02 2009 Karol Krenski <charles@pld-linux.org> 83406f3
- updated to 1.54
- BR/R perl-Encode; sorted

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 1bcaaa9
- added missing BR, added patch fixing sequential make test firing

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 40838bf
- allow sequential tests pass

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 25290cc
- up to 1.52

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 27cdaea
- up to 1.34

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> cc629ae
- generic URL

* Sun Jun 03 2007 Maciej Pijanka <agaran@pld-linux.org> dcf97d8
- up to 1.30, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 875c5c6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 121e438
- converted to UTF-8

* Thu Sep 21 2006 Elan Ruusamäe <glen@pld-linux.org> 2ea512d
- updated deps for tests, rel 2

* Thu Aug 24 2006 migo <migo@pld-linux.org> 6fe3163
- up to 1.20
- updated BRs
- enabled tests by default, as there are no live tests now

* Sun Jul 09 2006 Maciej Pijanka <agaran@pld-linux.org> 31439e2
- up to 1.18, rel1, builds here

* Wed Nov 02 2005 tiwek <tiwek@pld-linux.org> 8ffb508
- up to 1.16
  STBR

